cascading.tuple

## Class TupleEntrySchemeIterator<Config,Input>

- java.lang.Object
- - cascading.tuple.TupleEntryIterator
  - - cascading.tuple.TupleEntrySchemeIterator<Config,Input>

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<TupleEntry>

Direct Known Subclasses:
  HadoopTupleEntrySchemeIterator

    public class TupleEntrySchemeIterator<Config,Input>
    extends TupleEntryIterator

Class TupleEntrySchemeIterator is a helper class for wrapping a `Scheme` instance, calling `Scheme.source(cascading.flow.FlowProcess, cascading.scheme.SourceCall)` on every call to `next()`. The behavior can be controlled via properties defined in `TupleEntrySchemeIteratorProps`.

Use this class inside a custom `Tap` when overriding the `Tap.openForRead(cascading.flow.FlowProcess)` method.

### Constructor Summary

Constructors
Constructor and Description
`TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess, Scheme scheme, CloseableIterator<Input> inputIterator)`
`TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess, Scheme scheme, CloseableIterator<Input> inputIterator, java.lang.String identifier)`
`TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess, Scheme scheme, Input input)`
`TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess, Scheme scheme, Input input, java.lang.String identifier)`

### Method Summary

Methods
`void` `close()`
`protected FlowProcess<? extends Config>` `getFlowProcess()`
`boolean` `hasNext()`
`TupleEntry` `next()`
`void` `remove()`
`protected Input` `wrapInput(Input input)`

### Methods inherited from class cascading.tuple.TupleEntryIterator

`getFields, getTupleEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess,
                            Scheme scheme,
                            Input input)

#### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess,
                            Scheme scheme,
                            Input input,
                            java.lang.String identifier)

#### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess,
                            Scheme scheme,
                            CloseableIterator<Input> inputIterator)

#### TupleEntrySchemeIterator

    public TupleEntrySchemeIterator(FlowProcess<? extends Config> flowProcess,
                            Scheme scheme,
                            CloseableIterator<Input> inputIterator,
                            java.lang.String identifier)

### Method Detail

#### getFlowProcess

    protected FlowProcess<? extends Config> getFlowProcess()

#### wrapInput

    protected Input wrapInput(Input input)

#### hasNext

    public boolean hasNext()

#### next

    public TupleEntry next()

#### remove

    public void remove()

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`